Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor
Class CookieInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          org.apache.struts2.interceptor.CookieInterceptor

All Implemented Interfaces:
  Interceptor, java.io.Serializable

    public class CookieInterceptor

extends AbstractInterceptor

The aim of this intercepter is to set values in the stack/action based on cookie name/value of interest.

If an asterisk is present in cookiesName parameter, it will be assume that all cookies name are to be injected into struts' action, even though cookiesName is comma-separated by other values, e.g. (cookie1,*,cookie2).

If cookiesName is left empty it will assume that no cookie will be injected into Struts' action.

If an asterisk is present in cookiesValue parameter, it will assume that all cookies name irrespective of its value will be injected into Struts' action so long as the cookie name matches those specified in cookiesName parameter.

If cookiesValue is left empty it will assume that all cookie that match the cookieName parameter will be injected into Struts' action.

The action could implements `CookiesAware` in order to have a `Map` of filtered cookies set into it.

- cookiesName (mandatory) - Name of cookies to be injected into the action. If more than one cookie name is desired it could be comma-separated. If all cookies name is desired, it could simply be *, an asterik. When many cookies name are comma-separated either of the cookie that match the name in the comma-separated list will be qualified.
- cookiesValue (mandatory) - Value of cookies that if its name matches cookieName attribute and its value matched this, will be injected into Struts' action. If more than one cookie name is desired it could be comma-separated. If left empty, it will assume any value would be ok. If more than one value is specified (comma-separated) it will assume a match if either value is matched.

populateCookieValueIntoStack - this method will decide if this cookie value is qualified to be populated into the value stack (hence into the action itself) injectIntoCookiesAwareAction - this method will inject selected cookies (as a java.util.Map) into action that implements `CookiesAware`.

     <!--
       This example will inject cookies named either 'cookie1' or 'cookie2' whose
       value could be either 'cookie1value' or 'cookie2value' into Struts' action.
     -->
     <action ... >
        <interceptor-ref name="cookie">
            <param name="cookiesName">cookie1, cookie2</param>
            <param name="cookiesValue">cookie1value, cookie2value</param>
        </interceptor-ref>
        ....
     </action>

     <!--
          This example will inject cookies named either 'cookie1' or 'cookie2'
         regardless of their value into Struts' action.
     -->
     <action ... >
       <interceptor-ref name="cookie">
          <param name="cookiesName">cookie1, cookie2</param>
          <param name="cookiesValue">*</param>
       <interceptor-ref>
       ...
     </action>

     <!--
          This example will inject cookies named either 'cookie1' with value
          'cookie1value' or 'cookie2' with value 'cookie2value' into Struts'
          action.
     -->
     <action ... >
       <interceptor-ref name="cookie">
          <param name="cookiesName">cookie1</param>
          <param name="cookiesValue">cookie1value</param>
       </interceptor-ref>
       <interceptor-ref name="cookie">
          <param name="cookiesName"<cookie2</param>
         <param name="cookiesValue">cookie2value</param>
       </interceptor-ref>
       ....
     </action>

     <!--
        This example will inject any cookies regardless of its value into
        Struts' action.
      -->
     <action ... >
       <interceptor-ref name="cookie">
          <param name="cookiesName">*</param>
          <param name="cookiesValue">*</param>
       </interceptor-ref>
        ...
     </action>

See Also:
  `CookiesAware`, Serialized Form

Constructor Summary
`CookieInterceptor()`

Method Summary
`protected void` | `injectIntoCookiesAwareAction(java.lang.Object action, java.util.Map<java.lang.String,java.lang.String> cookiesMap)` Hook that set the `cookiesMap` into action that implements `CookiesAware`.
`java.lang.String` | `intercept(ActionInvocation invocation)`
`protected void` | `populateCookieValueIntoStack(java.lang.String cookieName, java.lang.String cookieValue, java.util.Map<java.lang.String,java.lang.String> cookiesMap, ValueStack stack)` Hook that populate cookie value into value stack (hence the action) if the criteria is satisfied (if the cookie value matches with those configured).
`void` | `setCookiesName(java.lang.String cookiesName)` Set the `cookiesName` which if matched will allow the cookie to be injected into action, could be comma-separated string.
`void` | `setCookiesValue(java.lang.String cookiesValue)` Set the `cookiesValue` which if matched (together with matching cookiesName) will caused the cookie to be injected into action, could be comma-separated string.

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieInterceptor

    public CookieInterceptor()

Method Detail

### setCookiesName

    public void setCookiesName(java.lang.String cookiesName)

  Set the `cookiesName` which if matched will allow the cookie to be injected into action, could be comma-separated string.

  Parameters:
    `cookiesName` -

### setCookiesValue

    public void setCookiesValue(java.lang.String cookiesValue)

  Set the `cookiesValue` which if matched (together with matching cookiesName) will caused the cookie to be injected into action, could be comma-separated string.

  Parameters:
    `cookiesValue` -

### intercept

    public java.lang.String intercept(ActionInvocation invocation)
                               throws java.lang.Exception

  Specified by:
    `intercept` in interface `Interceptor`
  Specified by:
    `intercept` in class `AbstractInterceptor`
  Throws:
    `java.lang.Exception`

### populateCookieValueIntoStack

    protected void populateCookieValueIntoStack(java.lang.String cookieName,
                                                java.lang.String cookieValue,
                                                java.util.Map<java.lang.String,java.lang.String> cookiesMap,
                                                ValueStack stack)

  Hook that populate cookie value into value stack (hence the action) if the criteria is satisfied (if the cookie value matches with those configured).

  Parameters:
    `cookieName` -
    `cookieValue` -
    `cookiesMap` -
    `stack` -

### injectIntoCookiesAwareAction

    protected void injectIntoCookiesAwareAction(java.lang.Object action,
                                                java.util.Map<java.lang.String,java.lang.String> cookiesMap)

  Hook that set the `cookiesMap` into action that implements `CookiesAware`.

  Parameters:
    `action` -
    `cookiesMap` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.